Subject: Re: Converting existing text to XML

From: Bill Fenner <[email-masked]>
Date: Fri, 9 Jun 2006 12:47:21 -0400

>Further, if one had an existing draft with only text (or some other
>source, perhaps) is there any good way to get them into XML form other
>than cutting and pasting the body of one section at a time?
>I'm guessing that the latter answer is "no", but thought I'd ask.

Tony,

  I've done this by copying the whole draft, pasting the whole thing
into xxe with my plugin using "Paste as Paragraphs", and then editing
the result to insert sections / lists / whatever as needed.  You can
then, for example, select several paragraphs and select
"Convert[wrap]" and pick section to make a subsection, cut and paste
in the right place if you want to change the section's level (or use
the toolbar buttons that may not work in all circumstances).
A similar action can convert a series of paragraphs to a list.
You may have to copy-and-paste the figures seperately in order to
keep the spacing (create the figure in xxe first, then paste into it).

  Bill